Routes - Get

Gets the specified route from a route table.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeTables/{routeTableName}/routes/{routeName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

routeName
path True

string

The name of the route.

routeTableName
path True

string

The name of the route table.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Route

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get route

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/routeTables/testrt/routes/route1?api-version=2026-01-01

Sample response

{
  "name": "route1",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/routeTables/testrt/routes/route1",
  "properties": {
    "addressPrefix": "10.0.3.0/24",
    "nextHopType": "Internet",
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

ProvisioningState

Provisioning states of a resource.

Route

Route resource.

RouteNextHopEcmp

The next hop definition for ECMP routes containing multiple next hop IP addresses.

RouteNextHopType

The type of Azure hop the packet should be sent to.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

Route

Route resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.addressPrefix

string

The destination CIDR to which the route applies.

properties.hasBgpOverride

boolean

A value indicating whether this route overrides overlapping BGP routes regardless of LPM.

properties.nextHop

RouteNextHopEcmp

The next hop definition containing ECMP next hop IP addresses. Only allowed when nextHopType is VirtualApplianceEcmp.

properties.nextHopIpAddress

string

The IP address packets should be forwarded to. Next hop values are only allowed in routes where the next hop type is VirtualAppliance.

properties.nextHopType

RouteNextHopType

The type of Azure hop the packet should be sent to.

properties.provisioningState

ProvisioningState

The provisioning state of the route resource.

type

string

Resource type.

RouteNextHopEcmp

The next hop definition for ECMP routes containing multiple next hop IP addresses.

Name Type Description
nextHopIpAddresses

string[]

List of next hop IP addresses for ECMP routing. Must contain between 2 and 64 IP addresses.

RouteNextHopType

The type of Azure hop the packet should be sent to.

Value Description
VirtualNetworkGateway

VirtualNetworkGateway

VnetLocal

VnetLocal

Internet

Internet

VirtualAppliance

VirtualAppliance

VirtualApplianceEcmp

Routes traffic to virtual appliances using Equal-Cost Multi-Path (ECMP) routing with multiple next hop IP addresses.

None

No next hop type.